## org.eclipse.datatools.modelbase.sql.query.impl
Class TableExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl

All Implemented Interfaces:
  SQLQueryObject, TableExpression, TableReference, SQLObject

Direct Known Subclasses:
  QueryExpressionBodyImpl, TableFunctionImpl, TableInDatabaseImpl, WithTableReferenceImpl

    public abstract class TableExpressionImpl

extends TableReferenceImpl
implements TableExpression

An implementation of the model object 'SQL Table Expression'.

The following features are implemented:

- `Column List`
- `Table Correlation`
- `Result Table All Columns`
- `Value Expr Columns`

Method Summary
`NotificationChain` `basicSetTableCorrelation(TableCorrelation newTableCorrelation, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getColumnList()`
`EList` `getResultTableAllColumns()`
`TableCorrelation` `getTableCorrelation()`
`EList` `getValueExprColumns()`
`void` `setTableCorrelation(TableCorrelation newTableCorrelation)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, eBasicRemoveFromContainerFeature, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getColumnList

    public EList getColumnList()

  Specified by:
    `getColumnList` in interface `TableExpression`
  Returns:
    the value of the 'Column List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ColumnList()`, `ValueExpressionColumn.getParentTableExpr()`

### getTableCorrelation

    public TableCorrelation getTableCorrelation()

  Specified by:
    `getTableCorrelation` in interface `TableExpression`
  Returns:
    the value of the 'Table Correlation' containment reference.
  See Also:
    `TableExpression.setTableCorrelation(TableCorrelation)`, `SQLQueryModelPackage.getTableExpression_TableCorrelation()`, `TableCorrelation.getTableExpr()`

### basicSetTableCorrelation

    public NotificationChain basicSetTableCorrelation(TableCorrelation newTableCorrelation,
                                                      NotificationChain msgs)

### setTableCorrelation

    public void setTableCorrelation(TableCorrelation newTableCorrelation)

  Specified by:
    `setTableCorrelation` in interface `TableExpression`
  Parameters:
    `newTableCorrelation` - the new value of the 'Table Correlation' containment reference.
  See Also:
    `TableExpression.getTableCorrelation()`

### getResultTableAllColumns

    public EList getResultTableAllColumns()

  Specified by:
    `getResultTableAllColumns` in interface `TableExpression`
  Returns:
    the value of the 'Result Table All Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ResultTableAllColumns()`, `ResultTableAllColumns.getTableExpr()`

### getValueExprColumns

    public EList getValueExprColumns()

  Specified by:
    `getValueExprColumns` in interface `TableExpression`
  Returns:
    the value of the 'Value Expr Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ValueExprColumns()`, `ValueExpressionColumn.getTableExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableReferenceImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableReferenceImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableReferenceImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableReferenceImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableReferenceImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableReferenceImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.